Bug 810417 - Review Request: geome - Obtain your geolocation data from Google using NetworkManager
Review Request: geome - Obtain your geolocation data from Google using Networ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 21:55 EDT by Paul Wouters
Modified: 2012-04-28 20:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: geome-1.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 17:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gregor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-04-05 21:55:00 EDT
Spec URL: https://nohats.ca/geome/geome.spec
SRPM URL: https://nohats.ca/geome/geome-1.0-1.fc16.src.rpm
Description:  geome queries NetworkManager for its wifi information, such as ESSID's and signal strength, and sends it to Google Location to obtain your
geographic location. 
It can return all of the information Google returns, or with the -s
flag, only return the latitude/longitude. This last mode is used by
the Pidgin OTR nearby friends plugin.
Comment 1 Gregor Tätzner 2012-04-07 07:48:58 EDT
I'm going to review this package
Comment 2 Gregor Tätzner 2012-04-07 08:02:58 EDT
-drop BuildRoot unless you want to package for epel 5

-the same applies to the %clean section and the defattr in the %files section

-your provided source archive doesn't match with the upstream source
Comment 3 Gregor Tätzner 2012-04-07 08:05:46 EDT
oh right and remove the %doc in front of %doc %{_mandir}/man1/geome.1*
Comment 4 Paul Wouters 2012-04-07 21:51:21 EDT
- All fixed (new source is 1.1)
- Added dependency on python-argparse that was missing.

1.1 continues to get geolocation results even if nm or dbus cannot be accessed (and it will only sent an empty wifi list, but that still returns geo information based on the IP address that google sees)

Spec URL: https://nohats.ca/geome/geome.spec
SRPM URL: https://nohats.ca/geome/geome-1.1-1.fc16.src.rpm


Thanks!
Comment 5 Gregor Tätzner 2012-04-08 06:24:41 EDT
(In reply to comment #4)

> Spec URL: https://nohats.ca/geome/geome.spec
> SRPM URL: https://nohats.ca/geome/geome-1.1-1.fc16.src.rpm

You forgot to upload the new spec and srpm :)
Comment 6 Paul Wouters 2012-04-08 12:12:25 EDT
Oops. I had only uploaded them to ftp.nohats.ca.

Fixed now, thanks :)
Comment 7 Gregor Tätzner 2012-04-08 16:41:36 EDT
oh crap....google is watching me. The location estimation is scary accurate :/

However to the review:

Actually the dep python-argparse doesn't exist in Fedora (anymore?)

...oh since python 2.7 it's part of the python main package. I think you can drop it.

And you can remove the empty build section, too.
Comment 8 Gregor Tätzner 2012-04-08 16:44:37 EDT
and please use the name macro whenever you can (see %install and %files)
Comment 9 Paul Wouters 2012-04-08 18:25:37 EDT
oh shoot. I guess I tested this on el6, which still does have python-argparse. I'll remove it here but put it back in for EL5/6

Empty build section removed.

I don't really like using macros for every occurrence, especially if it is very package specific and it won't get copy pasted into another spec file.

Spec URL: https://nohats.ca/geome/geome.spec
SRPM URL: https://nohats.ca/geome/geome-1.1-2.fc17.src.rpm
Comment 10 Gregor Tätzner 2012-04-09 03:17:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/greg/projects/Review/810417/geome-1.1.tar.gz :
  MD5SUM this package     : 9c125ec0a3ca0fc7771103ad0c6cfb69
  MD5SUM upstream package : 9c125ec0a3ca0fc7771103ad0c6cfb69

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

APPROVED

minor issue:
Can you add the -p option to the install command (preserves timestamps)
Comment 11 Paul Wouters 2012-04-09 12:31:16 EDT
Will do, thanks!

New Package SCM Request
=======================
Package Name: geome
Short Description: Obtain your geolocation data from Google using NetworkManager
Owners: pwouters
Branches: f16 f17 el6
InitialCC:
Comment 12 Gwyn Ciesla 2012-04-09 12:41:30 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-04-10 10:59:17 EDT
geome-1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/geome-1.1-2.el6
Comment 14 Fedora Update System 2012-04-10 10:59:58 EDT
geome-1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/geome-1.1-3.fc17
Comment 15 Fedora Update System 2012-04-10 11:49:57 EDT
geome-1.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/geome-1.1-3.fc16
Comment 16 Fedora Update System 2012-04-18 18:54:52 EDT
geome-1.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-04-27 19:08:16 EDT
geome-1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2012-04-28 20:22:16 EDT
geome-1.1-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.